Scriptname PolyMorphTargetedScript extends ActiveMagicEffect  
{Polymorph script}
;======================================================================================;

; PROPERTIES /

;=============/



Quest Property CompanionsTrackingQuest auto

Faction Property PlayerWerewolfFaction auto

Shout Property MonsterShout auto

Race Property PolymorphRace auto

Spell Property PolymorphSpell auto

Faction Property MonsterFaction auto

Weapon Property MonsterWeapon auto







;======================================================================================;

; EVENTS /

;=============/







Event OnEffectStart(Actor Target, Actor Caster)

if (Target.GetActorBase().GetRace() != PolymorphRace)

Target.SetRace(PolymorphRace)

Game.GetPlayer().SetHeadTracking(false)

Game.GetPlayer().UnequipAll()

Game.GetPlayer().AddSpell(SPELLCLEAR1)

Game.GetPlayer().EquipSpell(SPELLCLEAR1, 0)

Game.GetPlayer().AddSpell(SPELLCLEAR2)

Game.GetPlayer().EquipSpell(SPELLCLEAR2, 1)

Game.GetPlayer().AddItem(WEAPONCLEAR1)

Game.GetPlayer().EquipItem(WEAPONCLEAR1, 0)

Game.GetPlayer().AddItem(WEAPONCLEAR2)

Game.GetPlayer().EquipItem(WEAPONCLEAR2, 1)

Game.GetPlayer().EquipSpell(PolymorphSpell, 0)

Game.GetPlayer().AddSpell(PolymorphSpell)

Game.GetPlayer().EquipSpell(PolymorphSpell, 0)

Game.GetPlayer().AddToFaction(MonsterFaction)

Game.GetPlayer().AddItem(MonsterWeapon)

Game.GetPlayer().EquipItem(MonsterWeapon, 1)

Game.GetPlayer().AddItem(MonsterAmmo, 99)

Game.GetPlayer().EquipItem(MonsterAmmo)

Game.GetPlayer().AddItem(MonsterArmor)

Game.GetPlayer().EquipItem(MonsterArmor)

Game.SetPlayerReportCrime(false)

Game.GetPlayer().SetAttackActorOnSight(true)

Game.GetPlayer().AddToFaction(PlayerWerewolfFaction)

Game.GetPlayer().AddShout(MonsterShout)

Game.GetPlayer().EquipShout(MonsterShout)





endif



EndEvent







Event OnEffectFinish(Actor Target, Actor Caster)

; change back

Game.GetPlayer().RemoveSpell(PolymorphSpell)

Game.GetPlayer().UnEquipSpell(PolymorphSpell, 0)

Game.GetPlayer().RemoveFromFaction(MonsterFaction)

Game.GetPlayer().RemoveItem(MonsterWeapon)

Game.GetPlayer().UnEquipItem(MonsterWeapon, 1)

Game.GetPlayer().RemoveShout(MonsterShout)

Game.GetPlayer().UnEquipShout(MonsterShout)

Game.GetPlayer().RemoveItem(MonsterAmmo, 99)

Game.GetPlayer().UnEquipItem(MonsterAmmo)

Game.GetPlayer().RemoveItem(MonsterArmor)

Game.GetPlayer().UnEquipItem(MonsterArmor)

Game.GetPlayer().AddSpell(SPELLCLEAR1)

Game.GetPlayer().EquipSpell(SPELLCLEAR1, 0)

Game.GetPlayer().AddSpell(SPELLCLEAR2)

Game.GetPlayer().EquipSpell(SPELLCLEAR2, 1)

Game.GetPlayer().AddItem(WEAPONCLEAR1)

Game.GetPlayer().EquipItem(WEAPONCLEAR1, 0)

Game.GetPlayer().AddItem(WEAPONCLEAR2)

Game.GetPlayer().EquipItem(WEAPONCLEAR2, 1)

Game.EnablePlayerControls()

Game.SetPlayerReportCrime(true)

Game.GetPlayer().SetAttackActorOnSight(false)

Game.GetPlayer().RemoveFromFaction(PlayerWerewolfFaction)

Debug.Trace("WEREWOLF: Setting race " + (CompanionsTrackingQuest as CompanionsHousekeepingScript).PlayerOriginalRace + " on " + Game.GetPlayer())

Game.GetPlayer().SetRace((CompanionsTrackingQuest as CompanionsHousekeepingScript).PlayerOriginalRace)



endEvent







Ammo Property MonsterAmmo Auto







Armor Property MonsterArmor Auto

SPELL Property SPELLCLEAR1 Auto



SPELL Property SPELLCLEAR2 Auto



WEAPON Property WEAPONCLEAR1 Auto



WEAPON Property WEAPONCLEAR2 Auto





