Scriptname PolymorphScript3 extends ActiveMagicEffect  
{Polymorph script}



;======================================================================================;

; PROPERTIES /

;=============/



Quest Property CompanionsTrackingQuest auto

Faction Property PlayerWerewolfFaction auto

Shout Property MonsterShout auto

Race Property PolymorphRace auto

Spell Property PolymorphSpell auto

Faction Property MonsterFaction auto





;======================================================================================;

; EVENTS /

;=============/







Event OnEffectStart(Actor Target, Actor Caster)

Utility.Wait(3.0)

if (Target.GetActorBase().GetRace() != PolymorphRace)

Target.SetRace(PolymorphRace)

Game.GetPlayer().SetHeadTracking(false)

Game.GetPlayer().EquipSpell(PolymorphSpell, 0)

Game.GetPlayer().AddSpell(PolymorphSpell)

Game.GetPlayer().EquipSpell(PolymorphSpell, 0)

Game.GetPlayer().AddToFaction(MonsterFaction)

Game.DisablePlayerControls(false, false, false, false, false, false, false)

Game.SetPlayerReportCrime(false)

Game.GetPlayer().SetAttackActorOnSight(true)

Game.GetPlayer().AddToFaction(PlayerWerewolfFaction)

Game.GetPlayer().AddShout(MonsterShout)

Game.GetPlayer().EquipShout(MonsterShout)





endif



EndEvent







Event OnEffectFinish(Actor Target, Actor Caster)

; change back

Game.GetPlayer().RemoveSpell(PolymorphSpell)

Game.GetPlayer().UnEquipSpell(PolymorphSpell, 0)

Game.GetPlayer().RemoveFromFaction(MonsterFaction)

Game.GetPlayer().RemoveShout(MonsterShout)

Game.GetPlayer().UnEquipShout(MonsterShout)

Game.EnablePlayerControls()

Game.SetPlayerReportCrime(true)

Game.GetPlayer().SetAttackActorOnSight(false)

Game.GetPlayer().RemoveFromFaction(PlayerWerewolfFaction)

Debug.Trace("WEREWOLF: Setting race " + (CompanionsTrackingQuest as CompanionsHousekeepingScript).PlayerOriginalRace + " on " + Game.GetPlayer())

Game.GetPlayer().SetRace((CompanionsTrackingQuest as CompanionsHousekeepingScript).PlayerOriginalRace)



endEvent






